Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617425 - RHN warning text on firstboot points to incorrect menu items
RHN warning text on firstboot points to incorrect menu items
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity high
: rc
: ---
Assigned To: Milan Zázrivec
Šimon Lukašík
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 22:15 EDT by Scott Radvan
Modified: 2015-04-06 23:19 EDT (History)
5 users (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-30.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 17:55:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhn registration warning (120.07 KB, image/png)
2010-07-22 22:15 EDT, Scott Radvan
no flags Details
actual menu items (363.27 KB, image/png)
2010-07-22 22:16 EDT, Scott Radvan
no flags Details

  None (edit)
Description Scott Radvan 2010-07-22 22:15:15 EDT
Created attachment 433857 [details]
rhn registration warning

Description of problem:

As seen in attached [rhn_warning.png], on first boot with no active network (and perhaps in other situations, ie. if you simply decline to register at this point), you are directed to the software update tool to register with RHN later, with this text:

"You may access this registration tool by running Software Updater in the Applications > System Tools menu."

(note also, it's actually called 'Software Update', not 'Software Updater' as shown in this attachment.)

Also, as seen in the attached [menu.png], not only is the Software Updater (sic) *not* in the Applications > System Tools menu as directed (rather it is actually in System > Administration), running it alone does not appear to register you; one has to run the 'RHN Register' app first, also found in System > Administration.

I believe these instructions should be reviewed for accuracy.

Version-Release number of selected component (if applicable):

6.0 Beta 2 Refresh - Server x86 

How reproducible:

Install the refresh and compare text to actual menu entries.

Steps to Reproduce:

1. Reboot after installing.
2. Read RHN registration/update instructions.
3. Compare to actual menu entries on desktop.
  
Actual results:

Pointed to wrong menu (and incorrectly spelled item). Running System Update doesn't seem to register you, rather you need to run RHN Register first.

Expected results:

Correct name for Software Update tool, correct menu locations, and link to correct menu entry required for RHN registration.
Comment 1 Scott Radvan 2010-07-22 22:16:07 EDT
Created attachment 433858 [details]
actual menu items
Comment 3 RHEL Product and Program Management 2010-07-22 22:37:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 5 Milan Zázrivec 2010-07-26 08:14:51 EDT
New text reads:

"""
To keep your system updated, secure, and supported, please register this system at your earliest convenience.

You may access RHN registration tool by running RHN Registration in
the System > Administration menu.
You may access software update tool by running Software Update in
the System > Administration menu.
"""

spacewalk.git master: 6ea5357a31e6a9a37274c48aa870fe1a32509b38
satellite.git CLIENT-RHEL-6: 821c922f778fff6fa9a448dceb9435722fc8b4d3
Comment 6 Scott Radvan 2010-07-26 18:23:52 EDT
I think there should be some extra "the"s:

You may access the RHN registration tool by running RHN Registration...

and

You may access the software update tool by running Software Update...
Comment 7 Milan Zázrivec 2010-07-27 04:39:32 EDT
Added the missing 'the's:

spacewalk.git master: f9ea0110a7d54c4f0a26e4bbee94014187b89b62
satellite.git CLIENT-RHEL-6: 9794f445e62d4d2cc8154f3c9bc83326ffd5ee5f
Comment 8 Scott Radvan 2010-07-27 16:15:41 EDT
Looks good to me, thanks.
Comment 10 Šimon Lukašík 2010-08-13 02:39:46 EDT
Taking QA contact.
Comment 11 Šimon Lukašík 2010-08-13 05:53:46 EDT
Changing to VERIFIED:

Testing procedure:
- Registration to hosted with blocked network
- Registration to sat with wrong SSL certificate
- With both: firstboot & rhn_register gui

Verified against:
rhn-client-tools-1.0.0-36.el6.noarch
on RHEL6.0-20100811.2_nfs-Server-i386
and RHEL6.0-20100811.2_nfs-Server-x86_64
Comment 12 Šimon Lukašík 2010-08-13 05:57:15 EDT
Forget to add: Displayed text message was correct. Same as in comment 5.

Note You need to log in before you can comment on or make changes to this bug.